%define oname	FedoraZram

%define gitdate	20130329
%define rel	3

Name:		zramstart
Version:	0
Release:	%mkrel -c git%{gitdate} %{rel}
Summary:	Sets up zram swap devices on boot
License:	GPLv2
Url:		https://github.com/mystilleef/FedoraZram
Group:		System/Kernel and hardware
#
# git clone https://github.com/mystilleef/FedoraZram.git
# cd FedoraZram
# git archive --format=tar --prefix=FedoraZram-20130329/ master | xz > ../FedoraZram-20130329.tar.xz
#
Source0:	%{oname}-%{gitdate}.tar.xz
BuildArch:	noarch
Provides:	zramswap-enabler
Provides:	zram
# For zramstat script
Requires:	bc
Requires(post):		rpm-helper
Requires(preun):	rpm-helper

%description
zram compresses swap partitions into RAM for performance.

%prep
%setup -qn %{oname}-%{gitdate}
%apply_patches

mv README.md README

%build
#nothing

%install
%makeinstall_std \
	PREFIX=%{_prefix} \
	SYSTEMD_UNITDIR=%{_unitdir}

%post
%_post_service zram

%preun
%_preun_service zram

%files
%doc README
%config(noreplace) %{_sysconfdir}/sysconfig/zram
%{_unitdir}/zram.service
%{_sbindir}/zramstart
%{_sbindir}/zramstat
%{_sbindir}/zramstop


%changelog

* Sun Mar 31 2013 wally <wally> 0-0.git20130329.3.mga3
+ Revision: 406823
- add post and preun requires for rpm-helper

* Sat Mar 30 2013 wally <wally> 0-0.git20130329.2.mga3
+ Revision: 406596
- no need to disable debug pkg as the pkg is noarch
- provide zram
- tag config file as such

* Fri Mar 29 2013 wally <wally> 0-0.git20130329.1.mga3
+ Revision: 406499
- new snapshot
- drop unneeded patches
- disable debug pkg
- require bc for new zramstat script
- fix license

* Mon Jan 14 2013 umeabot <umeabot> 0-0.git20120916.2.mga3
+ Revision: 387775
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 24 2012 wally <wally> 0-0.git20120916.1.mga3
+ Revision: 321515
- provide zramswap-enabler
- imported package zramstart

